<table style="width: 100%; border-collapse: collapse;" cellspacing="0" cellpadding="2" id="tip_table">
	<colgroup>
		<col width="40%"/>
		<col span="5" width="8%"/>
		<col width="10%"/>
		<col width="10%"/>
	</colgroup>
	<thead>
		<tr style="vertical-align: bottom;">
			<th rowspan="2">
				<?=_('Tipp')?> (<?=_('URL')?>)<br/>
				<strong><?=_('Wussten Sie, dass...')?></strong>
			</th>
			<th rowspan="2" style="text-align: center;"><?=_('Aktiv')?></th>
			<th colspan="5" style="text-align: center;"><?=_('Sichtbarkeit')?></th>
			<th rowspan="2">&nbsp;</th>
		</tr>
		<tr style="text-align: center;">
			<th style="border: 1px solid white; border-width: 0px 1px;"><?=_('Autor')?></th>
			<th style="border: 1px solid white; border-width: 0px 1px;"><?=_('Tutor')?></th>
			<th style="border: 1px solid white; border-width: 0px 1px;"><?=_('Dozent')?></th>
			<th style="border: 1px solid white; border-width: 0px 1px;"><?=_('Admin')?></th>
			<th style="border: 1px solid white; border-width: 0px 1px;"><?=_('Root')?></th>
		</tr>
	</thead>
	<tbody>
	<?php foreach ($tips as $index=>$tip): ?>
		<tr class="<?=$index%2==0?'steelgraulight':'steel1'?>" style="text-align: center;">
			<td style="text-align: left;">
				<a name="tip<?=$tip['id']?>"></a>
				<div title="...<?=htmlspecialchars(formatready($tip['content']))?>" class="title_popup">
					...<?=htmlspecialchars(array_shift(explode("\n", wordwrap($tip['content'], 100, "\n"))))?>...
				</div>
				<?php if (!empty($tip['url'])): ?>
				<?=fixlinks($tip['url'],true,true)?>
				<?php endif; ?>
			</td>
			<td>
				<a href="<?=$links['activate']?>&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['active']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?=($tip['active']?'ja':'nein')?>"/>
				</a>
			</td>
			<td style="border: 1px solid white; border-width: 0px 1px;">
				<a href="<?=$links['toggle_visibility']?>&key=autor&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['visibility']['autor']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?= ($tip['visibility']['autor']?'ja':'nein')?>"/>
				</a>
			</td>
			<td style="border: 1px solid white; border-width: 0px 1px;">
				<a href="<?=$links['toggle_visibility']?>&key=tutor&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['visibility']['tutor']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?= ($tip['visibility']['tutor']?'ja':'nein')?>"/>
				</a>
			</td>
			<td style="border: 1px solid white; border-width: 0px 1px;">
				<a href="<?=$links['toggle_visibility']?>&key=dozent&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['visibility']['dozent']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?= ($tip['visibility']['dozent']?'ja':'nein')?>"/>
				</a>
			</td>
			<td style="border: 1px solid white; border-width: 0px 1px;">
				<a href="<?=$links['toggle_visibility']?>&key=admin&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['visibility']['admin']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?= ($tip['visibility']['admin']?'ja':'nein')?>"/>
				</a>
			</td>
			<td style="border: 1px solid white; border-width: 0px 1px;">
				<a href="<?=$links['toggle_visibility']?>&key=root&tip_id=<?=$tip['id']?>">
					<img src="<?= $img_url.($tip['visibility']['root']?'on_small_transparent.gif':'off_small_blank_transparent.gif')?>" alt="<?= ($tip['visibility']['root']?'ja':'nein')?>"/>
				</a>
			</td>
			<td>
				<a href="<?=$links['edit']?>&tip_id=<?=$tip['id']?>"><?=makebutton('bearbeiten', 'img')?></a>
				<a href="<?=$links['delete']?>&tip_id=<?=$tip['id']?>" class="confirm_delete"><?=makebutton('loeschen', 'img')?></a>
			</td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td></td>
		</tr>
	</tfoot>
</table>
<script type="text/javascript">
//<![CDATA[
$$('body').first().insert({bottom: new Element('div', {id: 'title_popup'}).absolutize().setStyle({
	zIndex: 10,
	backgroundColor: 'white',
	border: '1px solid black',
	width: '400px',
	height: 'auto',
	padding: '5px',
	fontSize: '0.9em'
}).update('').hide()});
$(document).observe('mousemove', function(event) {
	$('title_popup').setStyle({left: (event.pointerX()+5)+'px', top: (event.pointerY()+5)+'px'});
});
$$('div.title_popup').invoke('observe', 'mouseover', function(event) {
	$('title_popup').update(event.element().setStyle({backgroundColor: '#FDD'}).readAttribute('title')).show();
	event.element().setAttribute('title', '');
}).invoke('observe', 'mouseout', function(event) {
	event.element().setStyle({backgroundColor: ''}).setAttribute('title', $('title_popup').hide().innerHTML);
});
$$('a.confirm_delete').invoke('observe', 'click', function(event) {
	if (!confirm('<?=_('Wirklich lschen?')?>'))
	{
		event.stop();
	}
});
//]]>
</script>