
CREATE TABLE IF NOT EXISTS `plugin_tips` (
  `tip_id` int(3) NOT NULL AUTO_INCREMENT,
  `content` mediumtext NOT NULL,
  `url` varchar(255) DEFAULT NULL,
  `create_date` datetime NOT NULL,
  `visibility` set('autor','tutor','dozent','admin','root') NOT NULL DEFAULT 'autor,tutor,dozent,admin,root',
  `active` enum('yes','no') NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`tip_id`)
) TYPE=MyISAM ;

INSERT INTO `plugin_tips` (`tip_id`, `content`, `url`, `create_date`, `visibility`, `active`) VALUES
(1, 'Nachrichten sowohl an einzelne Personen als auch an Gruppen wie TeilnehmerInnen einer Veranstaltung und Einrichtungen versendet werden knnen?\r\nHierzu ist es lediglich erforderlich auf das Briefsymbol der entsprechenden Gruppe zu klicken. Nachrichten an alle TeilnehmerInnen einer Veranstaltung knnen innerhalb dieser unter dem Reiter "TeilnehmerInnen" - "Gruppen/Funktionen" in der unteren rechten Ecke versendet werden. Falls alle Mitarbeiter einer Einrichtung kontaktiert werden sollen, so geschieht dies unter "Einrichtung" - "''Mitarbeiter".', NULL, '2010-01-12 15:52:46', 'autor,tutor,root', 'yes'),
(3, 'Sie neben ihrem beruflichen und akademischen Werdegang weitere Informationen auf Ihrer "Homepage" einstellen knnen? \r\n\r\nDie Gestaltung Ihrer eigenen Homepage gibt Suchenden einen gewissen Einblick und Ihnen viele Gestaltungsmglichkeiten. \r\nGehen Sie auf Ihre eigene Homepage klicken auf "eigene Kategorien" und legen Ihre gewnschte Kategorie neu an. Des Weiteren haben Sie die Mglichkeit, ein Gstebuch anzulegen,mit dem Sie Kontakt mit Bekannten halten knnen.\r\n', NULL, '2010-01-12 15:52:46', 'autor,tutor,dozent,root', 'yes'),
(4, 'sie Evaluationen in die eigene Veranstaltung eintragen knnen? \r\n\r\nHiermit haben Sie eine Mglichkeit, ihre Veranstaltung bewerten zu lassen und die Qualitt der Lehre dauerhaft zu erhhen.\r\n\r\n', NULL, '2010-01-12 15:52:46', '', 'yes'),
(5, 'Sie Tests einstellen knnen, um das Wissen nach gehaltener Vorlesung anonym zu berprfen? \r\nDiese Tests knnen Sie in Ihrer Veranstaltung unter "Administration der Veranstaltung" - "Votings/Tests" erstellen. Hierzu geben Sie einfach eine Frage mit unterschiedlichen Antwortmglichkeiten an.\r\n\r\n', NULL, '2010-01-12 15:52:46', 'dozent,admin,root', 'yes'),
(8, 'durch ein veranstaltungsbegleitendes Forum Sie Ihre Fragen und Antworten zur Veranstaltung nicht bis zum nchsten Prsenztermin aufsparen mssen?\r\n\r\nHaben Sie ein Thema, dass Sie mit Ihren Studierenden parallel zur Prsenzveranstaltung diskutieren mchten, knnen Sie dieses Thema ins Forum Ihrer Veranstaltung stellen. Machen Sie Ihre Studierenden darauf aufmerksam und fordern Sie sie auf, eine Antwort einzustellen oder einen Beitrag dazu zu leisten.\r\n\r\n', NULL, '2010-01-12 15:52:46', 'tutor,dozent,admin,root', 'yes'),
(10, 'Arbeitsgruppen ihre eigenen Dateiordner "besitzen" knnen, in denen die Gruppenmitglieder auch Unterordner anlegen knnen? Andere Arbeitsgruppe erhalten keinen Einblick. Auf diese Weise knnen bungsgruppen eingerichtet werden, denen Materialien explizit zugewiesen wird. \r\n\r\nUnter "TeilnehmerInnen" - "Funktionen/Gruppen verwalten" erstellen Sie beliebig viele Gruppen, denen Sie unter "Dateien von Gruppen" Dokumente bereitstellen knnen.\r\n', NULL, '2010-01-12 15:52:46', 'tutor,dozent,admin,root', 'yes'),
(11, 'Sie die TeilnehmerInnen in Arbeitsgruppen aufteilen knnen und bei der Erstellung einer Gruppe die Wahl zwischen dem Selbsteintrag der Teilnehmer und dem Eintrag durch die/den Lehrende/n haben? \r\n\r\nUnter "TeilnehmerInnen" - "Gruppen/Funktionen verwalten" knnen neue Gruppen mit und ohne "Selbsteintrag" erstellt werden. Gruppen knnen aber auch im Nachhinein zum Gewnschten hin gendert werden.', NULL, '2010-01-12 15:52:46', 'tutor,dozent,admin,root', 'yes'),
(15, 'Sie ber das Huschen in der Menleiste zurck zur Startseite kommen?\r\n\r\nber das Huschen links auf der Stud.IP-eigenen Symbolleiste gelangen Sie immer wieder auf die Stud.IP-Startseite.\r\n\r\n\r\n', NULL, '2010-02-10 10:25:51', 'autor,tutor,dozent,root', 'yes'),
(16, 'sich hinter dem Briefumschlag das Stud.IP-eigene Nachrichtensystem befindet?\r\n\r\nber den Briefumschlag gelangen Sie direkt in den Menpunkt Nachrichten (Stud.IP hat ein eigenes Nachrichtensystem  es hnelt dem gewohnten E-Mailsystem  allerdings knnen nur Personen, die im Stud.IP registriert sind, angeschrieben werden.) Sollten Sie einen roten Briefumschlag angezeigt bekommen, haben Sie Post erhalten.\r\n', NULL, '2010-02-10 10:26:45', 'autor,tutor,dozent,root', 'yes'),
(17, 'Sie ber das Schwarze Brett Kleinanzeigen schalten knnen?\r\n\r\nMchten Sie etwas kaufen/verkaufen oder auf Stellenangebote aufmerksam gemacht werden? Dann sind Sie dort genau richtig. Wo finden Sie das schwarze Brett? In der Stud.IP-Symbolleiste - "Schwarzes Brett". Anzeigen werden nach 30 Tagen automatisch gelscht.\r\n\r\n', NULL, '2010-02-10 10:27:21', 'autor,tutor,dozent,root', 'yes'),
(18, 'Sie bei Fragen zu Stud.IP eine kontextbezogene Hilfe zu Rate ziehen knnen?\r\n\r\nStud.IP verfgt ber eine sogenannte kontextbezogene Hilfe, die abhngig von der Seite, auf der Sie sich befinden, angezeigt wird und sich genau auf diese Seite bezieht.\r\n\r\n', NULL, '2010-02-10 10:27:53', 'autor,tutor,dozent,root', 'yes'),
(20, 'Sie Dokumente in den Veranstaltungen hochladen knnen?\r\n\r\nUm eine Datei den anderen TeilnehmerInnen oder dem/der DozentIn zur Verfgung zu stellen, gehen Sie auf den Karteireiter Dateien innerhalb einer Veranstaltung. ffnen Sie den Allgemeinen Dateiordner (oder einen anderen bereits bestehenden Ordner), in dem Sie auf das Dreieck vor oder auf den Titel des Ordners klicken. Es scheinen mehrere Schaltflchen, whlen sie nun die Schaltflche Datei hochladen. Ein Drei-Schritte-Assistent hilft beim Auswhlen der Datei auf Ihrem Rechner und beim Absenden. Sie werden anschlieend Ihre hochgeladene Datei in dem ausgewhlten Dateiordner wieder finden.\r\n\r\n', NULL, '2010-02-10 10:29:03', 'autor,tutor,dozent,root', 'yes'),
(22, 'Sie Seminare im Stundenplan vormerken knnen?\r\nVormerken ist eine Eigenschaft von Stud.IP, um sich seinen individuellen Stundenplan mglichst schnell erstellen zu knnen. Man merkt seine gewnschten Veranstaltungen in seinem Stundenplan vor und kann dann sehen, ob es zeitliche berschneidungen zwischen diesen Veranstaltungen gibt. ', NULL, '2010-05-10 11:06:15', 'autor,tutor,admin', 'yes'),
(23, 'Sie andere Stud.IP-Nutzer als "Buddies" (zu dt. Kumpel) hinzufgen knnen?\r\nSie knnen andere Stud.IP-Nutzer ihrer persnlichen Buddiesliste hinzufgen, indem Sie die Homepage des Stud.IP-Nutzers aufrufen und dort (unter dem benutzerdefinierten Bild des Nutzers) auf "zu Buddies hinzufgen" klicken. Mit dem Buddiessystem haben Sie nun die Mglichkeit, unter dem Menpunkt "Online" zu sehen wer von Ihren Buddies online ist. Gleichzeitig werden Ihre hinzugefgte Buddies in Ihr Adressbuch eingefgt.\r\n\r\n', NULL, '2010-05-10 11:07:52', 'autor,tutor,dozent,admin', 'yes');



